aboutsummaryrefslogtreecommitdiff
path: root/www/seamonkey
diff options
context:
space:
mode:
authorBeat Gaetzi <beat@FreeBSD.org>2010-12-18 15:54:26 +0000
committerBeat Gaetzi <beat@FreeBSD.org>2010-12-18 15:54:26 +0000
commit2bd31f3e616f591289e3434f7a8a429687402015 (patch)
tree4e62011a702d56864cf1f23e3c1977adde942e6c /www/seamonkey
parent816027e823301398e6ae29ea0432e7cf08c282bb (diff)
downloadports-2bd31f3e616f591289e3434f7a8a429687402015.tar.gz
ports-2bd31f3e616f591289e3434f7a8a429687402015.zip
Notes
Diffstat (limited to 'www/seamonkey')
-rw-r--r--www/seamonkey/pkg-deinstall.in28
-rw-r--r--www/seamonkey/pkg-install.in38
2 files changed, 66 insertions, 0 deletions
diff --git a/www/seamonkey/pkg-deinstall.in b/www/seamonkey/pkg-deinstall.in
new file mode 100644
index 000000000000..2544ee4ed3a2
--- /dev/null
+++ b/www/seamonkey/pkg-deinstall.in
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# $MCom: ports/www/mozilla/pkg-deinstall.in,v 1.25 2008/07/26 19:07:07 ahze Exp $
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+rm -f ${MOZDIR}/component.reg
+rm -f ${MOZDIR}/components/*.dat
+rm -f ${MOZDIR}/components.ini
+rm -f ${MOZDIR}/defaults.ini
+rm -f ${MOZDIR}/chrome/app-chrome.manifest
+rm -rf ${MOZDIR}/updates
+find %%MOZDIR%%/plugins/ -depth 1 -type l -delete > /dev/null 2>&1
+find %%MOZDIR%%/extensions/ -depth 1 -type l -delete > /dev/null 2>&1
+
+exit 0
diff --git a/www/seamonkey/pkg-install.in b/www/seamonkey/pkg-install.in
new file mode 100644
index 000000000000..b2c8186701c4
--- /dev/null
+++ b/www/seamonkey/pkg-install.in
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# $MCom: ports/www/mozilla/pkg-install.in,v 1.26 2008/08/04 16:58:03 mezz Exp $
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xPOST-INSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+MOZBIN=${MOZDIR}/%%MOZILLA_BIN%%
+REGXPCOM=${MOZDIR}/regxpcom
+REGCHROME=${MOZDIR}/regchrome
+
+echo "===> Building Chrome's registry..."
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+mkdir -p ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/component.reg
+
+cd ${MOZDIR} || exit 1
+if [ -f ${REGXPCOM} ]; then
+ ./run-mozilla.sh ${REGXPCOM} || true
+fi
+if [ -f ${REGCHROME} ]; then
+ ./run-mozilla.sh ${REGCHROME} || true
+fi
+if [ -f ${MOZBIN} -a "${1%-*}" = "nvu" ]; then
+ ./run-mozilla.sh ${MOZBIN} -register > /dev/null 2>&1
+fi
+cp -R %%LOCALBASE%%/lib/xpi/symlinks/%%MOZILLA%%/ %%MOZDIR%%/extensions/ > /dev/null 2>&1
+
+exit 0